## preload 0.6.4

=== debian/changelog ===
preload (0.6.4-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:18:23 +1100

preload (0.6.4-5build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:43:24 +0000

preload (0.6.4-5) unstable; urgency=medium

  * Upload to unstable (Closes: #920197)

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Feb 2019 17:51:12 +0000

preload (0.6.4-5~exp3) unstable; urgency=medium

  * Update compat to debhelper-compat=12, removing debian/compat
  * Remove no longer needed debian/dirs 
  * Skip auto_tests for now, they are broken under sbuild 
  * Add Pre-Depends field in debian/control

 -- Jonathan Carter <jcc@debian.org>  Thu, 07 Feb 2019 18:22:08 +0000

preload (0.6.4-5~exp2) experimental; urgency=medium

  * Downgrade compat down to 9

 -- Jonathan Carter <jcc@debian.org>  Sun, 27 Jan 2019 11:42:24 +0200

preload (0.6.4-5~exp1) experimental; urgency=medium

  * Remove more cdbs from debian/rules
  * Remove no longer needed build-dependency on dh-autoreconf
  * Add debhelper tag for postinst

 -- Jonathan Carter <jcc@debian.org>  Thu, 24 Jan 2019 15:46:30 +0200

preload (0.6.4-4) experimental; urgency=medium

  * Upload to experimental
  * Add VCS fields
  * Downgrade compat to 10 (Attempt fix for #920197)
  * Create /var/lib/preload/preload.state (Closes: #861937)
  * Add patch to fix parallel builds (Closes: #893374)
    (Thanks Adrian Bunk)
  * Fix typo in manpage (Closes: #697071)

 -- Jonathan Carter <jcc@debian.org>  Wed, 23 Jan 2019 15:18:33 +0200

preload (0.6.4-3) unstable; urgency=medium

  * Adopting package (Closes: #646216)
  * Update compat to 11
  * debian/rules:
    - Add hardening-all options
    - Use debhelper instead of cdbs
  * debian/control:
    - Line-split build depends
    - Add dependency: lsb-base
    - Add suggestion: logrotate
    - Fix typo in package description (s/priviledges/privileges/g)
    - Update standars version to 4.3.0

 -- Jonathan Carter <jcc@debian.org>  Tue, 22 Jan 2019 11:44:27 +0200

preload (0.6.4-2) unstable; urgency=low

  * Use dh-autoreconf.
  * Standards-Version: 3.9.3 (no changes necessary).
  * Use source format 3.0 (quilt).
  * Use LSB log_ functions. (Closes: #673372)
  * Add init.d status support. (Closes: #645156)
  * Fix sending HUP in preload's logrotate. (Closes: #619384)

 -- Kari Pahula <kaol@debian.org>  Tue, 29 May 2012 21:58:33 +0300

preload (0.6.4-1) unstable; urgency=low

  * New upstream release (Closes: #495549)
    * Improve argument handling (Closes: #508809)
  * Use start-stop-daemon's --iosched option to set idle IO priority,
    don't patch preload itself to offer an option to use it.
  * No more patches applied; quilt dropped as a build dep.
  * Removed code from postinst that used to clean up state file from under
    /var/cache/.
  * Standards-Version: 3.8.2 (no changes necessary).

 -- Kari Pahula <kaol@debian.org>  Mon, 29 Jun 2009 12:48:22 +0300

preload (0.4-5) unstable; urgency=low

  * Use quilt patch system.
  * Patched the source to call ioprio_set. (Closes: #439901)
  * Install and compress the man page explicitly in debian/rules, to be
    safe. (Closes: #471623)

 -- Kari Pahula <kaol@debian.org>  Wed, 19 Mar 2008 21:42:05 +0200

preload (0.4-4) unstable; urgency=medium

  * Close the file descriptor when writing state to a file in src/state.c,
    preload_state_save() (Closes: #415595)

 -- Kari Pahula <kaol@debian.org>  Tue, 20 Mar 2007 19:22:06 +0200

preload (0.4-3) unstable; urgency=low

  * Parse the dev field in /proc/%d/maps as hexadecimal, not as unsigned
    integer.  Thanks to Johan Kiviniemi for the patch.
  * Sort the readahead file list by device, block and inode and not file
    path to reduce seeking.  Adapted by Johan from a patch for readahead
    by Scott James Remnant.

 -- Kari Pahula <kaol@debian.org>  Fri, 29 Sep 2006 18:02:37 +0300

preload (0.4-2) unstable; urgency=low

  * Don't include /var/lib/preload/preload.state in the binary package
    (Closes: #385419)
  * Use --signal 1 (SIGHUP) to restart the dameon instead of --signal 0
    (Closes: #384249)

 -- Kari Pahula <kaol@debian.org>  Sun, 10 Sep 2006 12:20:27 +0300

preload (0.4-1) unstable; urgency=low

  * New upstream release (Closes: #375474)

 -- Kari Pahula <kaol@debian.org>  Sat,  5 Aug 2006 03:24:50 +0300

preload (0.2-8) unstable; urgency=low

  * Removed bashism from debian/rules (Closes: #378357)

 -- Kari Pahula <kaol@debian.org>  Mon, 24 Jul 2006 03:26:47 +0300

preload (0.2-7) unstable; urgency=low

  * Fail successfully with a warning if daemon is already running on
    init.d start or stopped on init.d stop. (Closes: #368113)
  * Remove /var/lib/preload/ in postrm purge. (Closes: #368115)

 -- Kari Pahula <kaol@debian.org>  Thu, 25 May 2006 02:10:56 +0300

preload (0.2-6) unstable; urgency=low

  * Remove extra newline from top of postinst (Closes: #363010)

 -- Kari Pahula <kaol@iki.fi>  Mon, 17 Apr 2006 09:32:50 +0300

preload (0.2-5) unstable; urgency=low

  * Quote $2 in postinst (Closes: #345776)
  * Add more information to debian/copyright file (Closes: #362582)
  * rm depends: sysv-rc | file-rc (silly me).

 -- Kari Pahula <kaol@iki.fi>  Fri, 14 Apr 2006 15:04:21 +0300

preload (0.2-4) unstable; urgency=low

  * s/depends: sysv-rc/depends: sysv-rc | file-rc/.  The dependency is
    required because the logrotate script uses invoke-rc.d.
    (Closes: #344111)

 -- Kari Pahula <kaol@iki.fi>  Tue, 20 Dec 2005 07:47:38 +0200

preload (0.2-3) unstable; urgency=low

  * Using s-s-d without its path in logrotate didn't work and just broke
    it even further.  Calling invoke-rc.d preload reload now
    instead. (Closes: #340983)
  * s/start-stop-daemon -u 1/start-stop-daemon -u 0/ (argh).

 -- Kari Pahula <kaol@iki.fi>  Fri,  9 Dec 2005 12:49:08 +0200

preload (0.2-2) unstable; urgency=low


