=== debian/control ===
Source: preload
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 12),
               libglib2.0-dev (>= 2.14),
	       help2man,
	       lsb-base
Standards-Version: 4.3.0
Homepage: http://sourceforge.net/projects/preload
Vcs-Browser: https://salsa.debian.org/debian/preload
Vcs-Git: https://salsa.debian.org/debian/preload.git

Package: preload
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Pre-Depends: ${misc:Pre-Depends}
Suggests: logrotate
Description: adaptive readahead daemon
 preload monitors applications that users run, and by analyzing this
 data, predicts what applications users might run, and fetches those
 binaries and their dependencies into memory for faster startup times.
 .
 Note that installing preload will not make your system boot faster
 and that preload is a daemon that runs with root privileges.
