=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALLINIT_ARGS := -- defaults 95 5
DEB_BUILD_PARALLEL=yes

# Hardening options, see: https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf

configure:
	dh_autoreconf
	./configure

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	rm -f config.log
	dh_autoreconf_clean

override_dh_install:
	dh_install
	# Remove cruft:
	rm -r debian/preload/etc/rc.d debian/preload/etc/sysconfig
	rm -f debian/preload/var/log/preload.log
	rm -fr debian/preload/usr/share/doc/preload-*
	rm -f debian/preload/var/lib/preload/preload.state
	# Install and compress it manually, to be safe
	cp src/preload.8 debian/preload/usr/share/man/man8/
	gzip -f -9 debian/preload/usr/share/man/man8/preload.8
